Package org.silverpeas.components.silvercrawler.servlets

# Class GoToCrawler

java.lang.Object
jakarta.servlet.GenericServlet
jakarta.servlet.http.HttpServlet
org.silverpeas.core.web.util.servlet.GoTo
org.silverpeas.components.silvercrawler.servlets.GoToCrawler

All Implemented Interfaces:
  `jakarta.servlet.Servlet`, `jakarta.servlet.ServletConfig`, `Serializable`

public class GoToCrawler extends org.silverpeas.core.web.util.servlet.GoTo

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.silverpeas.core.web.util.servlet.GoTo

  `org.silverpeas.core.web.util.servlet.GoTo.Context`

- ## Field Summary

  ### Fields inherited from class org.silverpeas.core.web.util.servlet.GoTo

  `util`

  ### Fields inherited from class jakarta.servlet.http.HttpServlet

  `LEGACY_DO_HEAD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GoToCrawler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDestination(String objectId, jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse res)`

  ### Methods inherited from class org.silverpeas.core.web.util.servlet.GoTo

  `doGet, doPost, getContentLanguage, getDestination, getObjectId, getUserId, isUserAllowed, isUserLogin, sendJson, setGefSpaceId`

  ### Methods inherited from class jakarta.servlet.http.HttpServlet

  `doDelete, doHead, doOptions, doPut, doTrace, getLastModified, init, service, service`

  ### Methods inherited from class jakarta.servlet.GenericServlet

  `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GoToCrawler

    public GoToCrawler()

- ## Method Details

  - ### getDestination

    public String getDestination(String objectId, jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse res) throws Exception
    Specified by:
      `getDestination` in class `org.silverpeas.core.web.util.servlet.GoTo`
    Throws:
      `Exception`